summaryrefslogtreecommitdiff
path: root/doc
diff options
context:
space:
mode:
Diffstat (limited to 'doc')
-rw-r--r--doc/Makefile.am4
-rwxr-xr-xdoc/asciidoc-helper.sh34
2 files changed, 11 insertions, 27 deletions
diff --git a/doc/Makefile.am b/doc/Makefile.am
index dbc44f0fbf..e7edb0476b 100644
--- a/doc/Makefile.am
+++ b/doc/Makefile.am
@@ -13,7 +13,11 @@
# part of the source distribution, so that people without asciidoc can
# just use the .1 and .html files.
+if USE_ASCIIDOC
asciidoc_files = tor tor-gencert tor-resolve torify
+else
+asciidoc_files =
+endif
html_in = $(asciidoc_files:=.html.in)
diff --git a/doc/asciidoc-helper.sh b/doc/asciidoc-helper.sh
index 25b438cd81..d24b31918c 100755
--- a/doc/asciidoc-helper.sh
+++ b/doc/asciidoc-helper.sh
@@ -17,41 +17,21 @@ output=$3
if [ "$1" = "html" ]; then
input=${output%%.html.in}.1.txt
base=${output%%.html.in}
- if [ "$2" != none ]; then
- "$2" -d manpage -o $output $input;
- else
- echo "==================================";
- echo;
- echo "The manpage in html form for $base will ";
- echo "NOT be available, because asciidoc doesn't appear to be ";
- echo "installed!";
- echo;
- echo "==================================";
- fi
+ "$2" -d manpage -o $output $input;
elif [ "$1" = "man" ]; then
input=${output%%.1.in}.1.txt
base=${output%%.1.in}
- if test "$2" != none; then
- if $2 -f manpage $input; then
- mv $base.1 $output;
- else
- echo "==================================";
- echo;
- echo "a2x is installed, but some required docbook support files are";
- echo "missing. Please install docbook-xsl and docbook-xml (Debian)";
- echo "or similar.";
- echo;
- echo "==================================";
- fi;
+ if "$2" -f manpage $input; then
+ mv $base.1 $output;
else
echo "==================================";
echo;
- echo "The manpage for $base will NOT be ";
- echo "available, because a2x doesn't appear to be installed!";
+ echo "a2x is installed, but some required docbook support files are";
+ echo "missing. Please install docbook-xsl and docbook-xml (Debian)";
+ echo "or similar.";
echo;
echo "==================================";
+ exit 1;
fi
fi
-
-touch $output; \